e-invoicing

Configure an ERP system

Use the Indirect Tax API to configure an ERP system.

This configuration is valid for all organizations you manage.

Note:

Only partners or Sovos Professional Services can use the API to configure an ERP system.

  1. Send a POST request to /v2/configurations/erp-systems.
  2. Include the following headers in your request:
    • Content-Type: application/json

    • Authorization: Bearer {accessToken}

    • x-correlationId: {uniqueValue}

  3. Include the following parameters inside the JSON payload in the request body.
    Name Type Required Description
    erpSystemId string Yes Unique identifier for the ERP system
    description string Yes Description of the ERP system
After you set up your ERP system, you're ready to Configure the webhook communication method

Samples for configuring the ERP system through the API

Request sample

JSON
curl --location --request POST 'https://api-test.sovos.com/v2/configurations/erp-systems' \
--header Content-Type: application/json \
--header Authorization: Bearer {accessToken} \
--header x-correlationId: {uniqueValue} \
--data '[
    {
     "erpSystemId": "TestERPSetup1",
	"description": "TestERPSetup1"
    }
]'

Response sample

JSON
{
    "status": 201,
  	"message": "Created",
  	"success": true,
  	"timestamp": 1754938117687,
  	"data": {
       "id": "a2abd363...ae449078ee14",
       "workspaceId": "WORKSPACE-ID",
       "erpSystemId": "TestERPSetup1",
       "description": "TestERPSetup1",
       "createdBy": "user@company.com",
       "createdAt": 1754938117,
       "isDeleted": false
     }
}